<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('data_ibu_hamil', function (Blueprint $table) {
            $table->id();
            $table->string('nama_ibu')->nullable();
            $table->string('nama_ayah')->nullable();
            $table->string('alamat')->nullable();
            $table->string('status_ibu')->nullable();
            $table->string('status_ayah')->nullable();
            $table->string('anak_ke')->nullable();
            $table->string('nik_ibu')->nullable();
            $table->string('umur_ibu')->nullable();
            $table->string('umur_ayah')->nullable();
            $table->string('tanggal_lahir_ibu')->nullable();
            $table->string('tanggal_lahir_ayah')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('data_ibu_hamil');
    }
};
